Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JanosVM v0.6.0 Java API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.utah.janosvm.sys
Interface TeamListHandler

All Known Implementing Classes:
  TeamListMessenger

public interface TeamListHandler

An interface for TeamList call backs.

Method Summary
`void` | `event(TeamReservation tr, TeamEvent ev)` Callback for handling events related to teams.

Method Detail

### event

    public void event(TeamReservation tr,
                      TeamEvent ev)

  Callback for handling events related to teams. NOTE: This is called in the context of the kernel so you must use the provided TeamReservation if you want to do anything in the Importables team.
  Parameters:
    `tr` - A TeamReservation thats reserved the team that `this' is in.
    `ev` - The TeamEvent object that describes the event that occurred.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JanosVM v0.6.0 Java API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

This documentation is Copyright (C) 2000-2002 The University of Utah. All Rights Reserved. See the documentation license for distribution terms and restrictions.
Documentation, software, and mailing lists for the JanosVM can be found at the Janos Project web page: http://www.cs.utah.edu/flux/janos/
Generated on Mar 17, 2002